WEIGHTS = [7,9,10,5,8,4,2,1,6,3,7,9,10,5,8,4,2]
CHECK_CODES = '10X98765432'

def calculate_check_code(first_17: str) -> str:
    total = sum(int(c)*w for c,w in zip(first_17, WEIGHTS))
    return CHECK_CODES[total % 11]